Summary:        A Python package which provides bindings for GObject based libraries
Name:           pygobject3
Version:        3.44.1
Release:        1%{?dist}
License:        LGPLv2+ and MIT
URL:            https://pygobject.readthedocs.io/
Source0:        https://download.gnome.org/sources/pygobject/3.42/pygobject-%{version}.tar.xz


BuildRequires:  cairo-gobject-devel, python3-cairo-devel, gobject-introspection-devel, glib2-devel
BuildRequires:  meson, python3-setuptools, python3-devel

%description
PyGObject is a Python package which provides bindings for GObject based
libraries such as GTK, GStreamer, WebKitGTK, GLib, GIO and many more.

%package     -n python3-gobject
Summary:        Python 3 bindings for GObject Introspection
Requires:       python3-gobject-base = %{version}-%{release}
# The cairo override module depends on this
Requires:       python3-cairo >= 1.16.0

%description -n python3-gobject
PyGObject is a Python package which provides bindings for GObject based
libraries such as GTK, GStreamer, WebKitGTK, GLib, GIO and many more.

%package     -n python3-gobject-base
Summary:        Python 3 bindings for GObject Introspection base package
Requires:       gobject-introspection >= 1.56.0

%description -n python3-gobject-base
PyGObject is a Python package which provides bindings for GObject based
libraries such as GTK, GStreamer, WebKitGTK, GLib, GIO and many more.

this package provides non-cairo specific bits.

%package     -n python3-gobject-devel
Summary:        Development files for embedding PyGObject introspection support
Requires:       python3-gobject = %{version}-%{release}
Requires:       gobject-introspection-devel
Provides:       pygobject3-devel = %{version}-%{release}

%description -n python3-gobject-devel
PyGObject is a Python package which provides bindings for GObject based
libraries such as GTK, GStreamer, WebKitGTK, GLib, GIO and many more.

this package provides developments.



%prep
%autosetup -n pygobject-%{version} -p1



%build
%meson
%meson_build



%install
%meson_install



%files -n python3-gobject
%{python3_sitearch}/gi/_gi_cairo*.so

%files -n python3-gobject-base
%license COPYING
%doc NEWS
%exclude %{python3_sitearch}/gi/_gi_cairo*.so
%{python3_sitearch}/gi/
%{python3_sitearch}/PyGObject-*.egg-info
%{python3_sitelib}/gi/
%{python3_sitelib}/pygtkcompat/

%files -n python3-gobject-devel
%dir %{_includedir}/pygobject-3.0/
%{_includedir}/pygobject-3.0/pygobject.h
%{_libdir}/pkgconfig/pygobject-3.0.pc



%changelog
* Tue Jan 16 2024 Shop You <shopyou@tencent.com> - 3.44.1-1
- Upgrade version to 3.44.1-1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.42.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.42.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.42.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.42.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue May 17 2022 Zhao Zhen <jeremiazhao@tencent.com> - 3.42.1-1
- Initial.
